Loading...
Searching...
No Matches
Opm::DiscreteFractureLocalResidual< TypeTag > Class Template Reference

Calculates the local residual of the discrete fracture immiscible multi-phase model. More...

`#include <discretefracturelocalresidual.hh>`

Inheritance diagram for Opm::DiscreteFractureLocalResidual< TypeTag >:

## Public Member Functions

void | addPhaseStorage (EqVector &storage, const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx, unsigned phaseIdx) const
| Adds the amount all conservation quantities (e.g.
void | computeFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx) const
| Evaluates the total mass flux of all conservation quantities over a face of a sub-control volume.
Public Member Functions inherited from Opm::ImmiscibleLocalResidual< TypeTag >
template<class LhsEval>
void | addPhaseStorage (Dune::FieldVector< LhsEval, numEq > &storage, const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx, unsigned phaseIdx) const
| Adds the amount all conservation quantities (e.g.
template<class LhsEval>
void | computeStorage (Dune::FieldVector< LhsEval, numEq > &storage, const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx) const
| Evaluate the amount all conservation quantities (e.g.
void | computeFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx) const
| Evaluates the total mass flux of all conservation quantities over a face of a sub-control volume.
void | addAdvectiveFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx) const
| Add the advective mass flux at a given flux integration point.
void | addDiffusiveFlux (RateVector &flux, const ElementContext &elemCtx, unsigned scvfIdx, unsigned timeIdx) const
| Adds the diffusive flux at a given flux integration point.
void | computeSource (RateVector &source, const ElementContext &elemCtx, unsigned dofIdx, unsigned timeIdx) const
| Calculate the source term of the equation.

## Detailed Description

template<class TypeTag>
class Opm::DiscreteFractureLocalResidual< TypeTag >

Calculates the local residual of the discrete fracture immiscible multi-phase model.

## Member Function Documentation

## addPhaseStorage()

template<class TypeTag>

void Opm::DiscreteFractureLocalResidual< TypeTag >::addPhaseStorage | ( | EqVector & | storage,
|  | const ElementContext & | elemCtx,
|  | unsigned | dofIdx,
|  | unsigned | timeIdx,
|  | unsigned | phaseIdx ) const

inline

Adds the amount all conservation quantities (e.g.

phase mass) within a single fluid phase

## computeFlux()

template<class TypeTag>

void Opm::DiscreteFractureLocalResidual< TypeTag >::computeFlux | ( | RateVector & | flux,
|  | const ElementContext & | elemCtx,
|  | unsigned | scvfIdx,
|  | unsigned | timeIdx ) const

inline

Evaluates the total mass flux of all conservation quantities over a face of a sub-control volume.

The documentation for this class was generated from the following file:

- opm/models/discretefracture/discretefracturelocalresidual.hh